#include <gtk/gtk.h>
#include "windows.h"
#include "icon.h"

GtkWidget *create_window(void)
{
  /* Create the main window */
  GtkWidget *win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_container_set_border_width(GTK_CONTAINER(win), 2);
  gtk_window_set_title(GTK_WINDOW(win), "Circuit");
  gtk_window_set_position(GTK_WINDOW(win), GTK_WIN_POS_CENTER);
  gtk_window_set_default_size(GTK_WINDOW(win), 800, 600);
  //gtk_window_set_default_size(GTK_WINDOW(win), 1260, 720);
  //gtk_window_set_icon(GTK_WINDOW(win), create_pixbuf("circuit.png"));
  gtk_window_set_icon(GTK_WINDOW(win), create_pixbuf("circuit.ico"));
  gtk_widget_realize(win);
  g_signal_connect(win, "destroy", gtk_main_quit, NULL);
  return win;
}

GtkWidget *create_vbox(GtkWidget *box)
{
	GtkWidget *vbox = gtk_vbox_new(FALSE, 0);
    gtk_container_add(GTK_CONTAINER(box), vbox);
    return vbox;
}

GtkWidget *create_hbox(GtkWidget *box)
{
	GtkWidget *hbox = gtk_hbox_new(FALSE, 0);
    gtk_container_add(GTK_CONTAINER(box), hbox);
    return hbox;
}

GtkWidget *create_menubar(GtkWidget *box)
{
    GtkWidget *menubar = gtk_menu_bar_new();
    gtk_box_pack_start(GTK_BOX(box), menubar, FALSE, FALSE, 2);
    return menubar;
}

GtkWidget *create_toolbar(GtkWidget *box)
{
    GtkWidget *toolbar = gtk_toolbar_new();
    gtk_box_pack_start(GTK_BOX(box), toolbar, FALSE, FALSE, 2);
    gtk_toolbar_set_style(GTK_TOOLBAR(toolbar), GTK_TOOLBAR_ICONS);
	return toolbar;
}

GtkWidget *create_canvas(GtkWidget *box)
{
  GtkWidget *canvas = gtk_drawing_area_new();
  gtk_container_add (GTK_CONTAINER(box), canvas);
  gtk_widget_set_size_request(canvas, 200, 300);
  return canvas;
}

GtkWidget *create_textview(GtkWidget *box)
{
  /*Crea una pantalla de texto*/
    //GtkWidget *buffer;
    GtkWidget *view = gtk_text_view_new();
    gtk_box_pack_start(GTK_BOX(box), view, TRUE, TRUE, 0);
    gtk_widget_grab_focus(view);
    //buffer = gtk_text_view_get_buffer(GTK_TEXT_VIEW(view));
    return view;
}

void create_expander(GtkWidget *box)
{
/* Create the expander */
	GtkWidget *mybox;
    GtkWidget *expander = gtk_expander_new ("Fuentes");
    gtk_box_pack_start (GTK_BOX (box), expander, FALSE, FALSE, 0);
	//label = gtk_label_new ("Lineales");
	//mybox = gtk_scrolled_window_new (NULL, NULL);
    //gtk_container_add (GTK_CONTAINER (expander), mybox);
}
